# coding: utf-8

"""
    Typewise API

    Typewise server for text completion, autocorrection and emoji searching.  # noqa: E501

    OpenAPI spec version: 0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class EmojiSearchRequest(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'query': 'str',
        'max_number_of_results': 'int',
        'lang': 'str'
    }

    attribute_map = {
        'query': 'query',
        'max_number_of_results': 'maxNumberOfResults',
        'lang': 'lang'
    }

    def __init__(self, query=None, max_number_of_results=5, lang='en'):  # noqa: E501
        """EmojiSearchRequest - a model defined in Swagger"""  # noqa: E501
        self._query = None
        self._max_number_of_results = None
        self._lang = None
        self.discriminator = None
        self.query = query
        if max_number_of_results is not None:
            self.max_number_of_results = max_number_of_results
        if lang is not None:
            self.lang = lang

    @property
    def query(self):
        """Gets the query of this EmojiSearchRequest.  # noqa: E501

        The query term to look up emojis, preferably a single word.  # noqa: E501

        :return: The query of this EmojiSearchRequest.  # noqa: E501
        :rtype: str
        """
        return self._query

    @query.setter
    def query(self, query):
        """Sets the query of this EmojiSearchRequest.

        The query term to look up emojis, preferably a single word.  # noqa: E501

        :param query: The query of this EmojiSearchRequest.  # noqa: E501
        :type: str
        """
        if query is None:
            raise ValueError("Invalid value for `query`, must not be `None`")  # noqa: E501

        self._query = query

    @property
    def max_number_of_results(self):
        """Gets the max_number_of_results of this EmojiSearchRequest.  # noqa: E501

        The number of emoji results to output.  # noqa: E501

        :return: The max_number_of_results of this EmojiSearchRequest.  # noqa: E501
        :rtype: int
        """
        return self._max_number_of_results

    @max_number_of_results.setter
    def max_number_of_results(self, max_number_of_results):
        """Sets the max_number_of_results of this EmojiSearchRequest.

        The number of emoji results to output.  # noqa: E501

        :param max_number_of_results: The max_number_of_results of this EmojiSearchRequest.  # noqa: E501
        :type: int
        """

        self._max_number_of_results = max_number_of_results

    @property
    def lang(self):
        """Gets the lang of this EmojiSearchRequest.  # noqa: E501

        The language of query.  # noqa: E501

        :return: The lang of this EmojiSearchRequest.  # noqa: E501
        :rtype: str
        """
        return self._lang

    @lang.setter
    def lang(self, lang):
        """Sets the lang of this EmojiSearchRequest.

        The language of query.  # noqa: E501

        :param lang: The lang of this EmojiSearchRequest.  # noqa: E501
        :type: str
        """

        self._lang = lang

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(EmojiSearchRequest, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, EmojiSearchRequest):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
